//Source file: ChargingManagerListener.java
//Date: December 2005
//Charging Interfaces and Data Types for 3GPP TS 29.198-12 V6.4.0

package org.csapi.jr.se.cs;

/**
 * This interface is to be implemented for receiving events issued by the ChargingManager service object.<BR>
 *
 */
public interface ChargingManagerListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the sessionAborted() method on 
    * the callback interface.
    *
    * @param  sessionAbortedEvent  Reference to a SessionAbortedEvent event 
    *        emmited from the impl or activity object. 
    */
    void onSessionAbortedEvent(org.csapi.jr.se.cs.SessionAbortedEvent sessionAbortedEvent);


   /**
    * Called due to a Gateway initiated call to the abortMultipleChargingSessions() method on 
    * the callback interface.
    *
    * @param  abortMultipleChargingSessionsEvent  Reference to a AbortMultipleChargingSessionsEvent event 
    *        emmited from the impl or activity object. 
    */
    void onAbortMultipleChargingSessionsEvent(org.csapi.jr.se.cs.AbortMultipleChargingSessionsEvent abortMultipleChargingSessionsEvent);

}

