//Source file: ChargingPrice.java
//Date: December 2005
//Charging Interfaces and Data Types for 3GPP TS 29.198-12 V6.4.0

package org.csapi.jr.se.cs;

/**
 * Defines the Sequence of Data Elements that identify a price. 
NOTE:	Currencies as defined by ISO 4217: 1995.
 * 
 */
public final class ChargingPrice implements java.io.Serializable {

    private String currency;
    private org.csapi.jr.se.cs.Amount amount;

    /**
     * Creates a new ChargingPrice instance.
     */
    public ChargingPrice () {}

    /**
     * Creates a new ChargingPrice instance.
     * @param _currency   
     * @param _amount   
     */
    public ChargingPrice (String _currency, org.csapi.jr.se.cs.Amount _amount) {

        this.currency = _currency;
        this.amount = _amount;
    }

    /**
     * This method returns a currency.
     * 
     * @return a String value
     */
    public String getCurrency() {
        return currency;
    }

    /**
     * This method returns a amount.
     * 
     * @return a org.csapi.jr.se.cs.Amount value
     */
    public org.csapi.jr.se.cs.Amount getAmount() {
        return amount;
    }


    /**
     * This method sets a currency.
     */ 
    public void setCurrency(String currency) {
        this.currency = currency;
    }

    /**
     * This method sets a amount.
     */ 
    public void setAmount(org.csapi.jr.se.cs.Amount amount) {
        this.amount = amount;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof ChargingPrice)) {
            return false;
        } 
        ChargingPrice chargingPrice = (ChargingPrice) o;
        if ((this.currency != null) && (chargingPrice.currency != null)) {
            if(!(this.currency.equals(chargingPrice.currency)))  {
                return false;
            }
        }
        if ((this.amount != null) && (chargingPrice.amount != null)) {
            if(!(this.amount.equals(chargingPrice.amount))) {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // ChargingPrice

