//Source file: ChargingSessionID.java
//Date: December 2005
//Charging Interfaces and Data Types for 3GPP TS 29.198-12 V6.4.0

package org.csapi.jr.se.cs;

/**
 * Defines the Sequence of Data Elements that unambiguously specify the Charging Session object.
 * 
 */
public final class ChargingSessionID implements java.io.Serializable {

    private org.csapi.jr.se.cs.ChargingSession chargingSessionReference;
    private int chargingSessionID;
    private int requestNumberFirstRequest;

    /**
     * Creates a new ChargingSessionID instance.
     */
    public ChargingSessionID () {}

    /**
     * Creates a new ChargingSessionID instance.
     * @param _chargingSessionReference   This element specifies the interface reference for the charging session object.
     * @param _chargingSessionID   This element specifies the session ID for the charging session.
     * @param _requestNumberFirstRequest   This element specifies the request number to use for the next request.
     */
    public ChargingSessionID (org.csapi.jr.se.cs.ChargingSession _chargingSessionReference, int _chargingSessionID, int _requestNumberFirstRequest) {

        this.chargingSessionReference = _chargingSessionReference;
        this.chargingSessionID = _chargingSessionID;
        this.requestNumberFirstRequest = _requestNumberFirstRequest;
    }

    /**
     * This method returns a chargingSessionReference.
     * 
     * @return a org.csapi.jr.se.cs.ChargingSession value
     */
    public org.csapi.jr.se.cs.ChargingSession getChargingSessionReference() {
        return chargingSessionReference;
    }

    /**
     * This method returns a chargingSessionID.
     * 
     * @return a int value
     */
    public int getChargingSessionID() {
        return chargingSessionID;
    }

    /**
     * This method returns a requestNumberFirstRequest.
     * 
     * @return a int value
     */
    public int getRequestNumberFirstRequest() {
        return requestNumberFirstRequest;
    }


    /**
     * This method sets a chargingSessionReference.
     */ 
    public void setChargingSessionReference(org.csapi.jr.se.cs.ChargingSession chargingSessionReference) {
        this.chargingSessionReference = chargingSessionReference;
    }

    /**
     * This method sets a chargingSessionID.
     */ 
    public void setChargingSessionID(int chargingSessionID) {
        this.chargingSessionID = chargingSessionID;
    }

    /**
     * This method sets a requestNumberFirstRequest.
     */ 
    public void setRequestNumberFirstRequest(int requestNumberFirstRequest) {
        this.requestNumberFirstRequest = requestNumberFirstRequest;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof ChargingSessionID)) {
            return false;
        } 
        ChargingSessionID chargingSessionID = (ChargingSessionID) o;
        if(!(this.chargingSessionID == chargingSessionID.chargingSessionID)) {
            return false;
        }
        if(!(this.requestNumberFirstRequest == chargingSessionID.requestNumberFirstRequest)) {
            return false;
        }
        if ((this.chargingSessionReference != null) && (chargingSessionID.chargingSessionReference != null)) {
            if(!(this.chargingSessionReference.equals(chargingSessionID.chargingSessionReference))) {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // ChargingSessionID

