//Source file: Constants.java
//Date: December 2005
//Charging Interfaces and Data Types for 3GPP TS 29.198-12 V6.4.0

package org.csapi.jr.se.cs;

/**
 * This interface contains constants not associated with any type, but associated with the package org.csapi.jr.se.cs
 *
 */
public interface Constants {

    /**
     * Unknown parameter
     */
    public static final int CHS_PARAM_UNDEFINED = 0;

    /**
     * Parameter represents kind of service delivered to the end user
     */
    public static final int CHS_PARAM_ITEM = 1;

    /**
     * Parameter represents subtype / operation of service delivered to the end user
     */
    public static final int CHS_PARAM_SUBTYPE = 2;

    /**
     * Unknown correlation type.
     */
    public static final int CHS_CORRELATION_UNDEFINED = 0;

    /**
     * Voice Call
     */
    public static final int CHS_CORRELATION_VOICE = 1;

    /**
     * Data Session
     */
    public static final int CHS_CORRELATION_DATA = 2;

    /**
     * Multi Media Session
     */
    public static final int CHS_CORRELATION_MM = 3;

    /**
     * Undefined
     */
    public static final int CHS_UNIT_UNDEFINED = 0;

    /**
     * number of times / events
     */
    public static final int CHS_UNIT_NUMBER = 1;

    /**
     * unit is octets
     */
    public static final int CHS_UNIT_OCTETS = 2;

    /**
     * unit is seconds
     */
    public static final int CHS_UNIT_SECONDS = 3;

    /**
     * unit is minutes
     */
    public static final int CHS_UNIT_MINUTES = 4;

    /**
     * unit is hours
     */
    public static final int CHS_UNIT_HOURS = 5;

    /**
     * unit is days
     */
    public static final int CHS_UNIT_DAYS = 6;

    /**
     * The ID that references a stored confirmation to authorize the required payment
     */
    public static final int CHS_PARAM_CONFIRMATION_ID = 3;

    /**
     * Parameter represents a signed confirmation, which shall be of the type P_CHS_PARAMETER_OCTETSET
     */
    public static final int CHS_PARAM_CONTRACT = 4;

} // org.csapi.jr.se.cs.Constants
