//Source file: ReserveAmountResEvent.java
//Date: December 2005
//Charging Interfaces and Data Types for 3GPP TS 29.198-12 V6.4.0

package org.csapi.jr.se.cs;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the reserveAmountRes() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class ReserveAmountResEvent extends java.util.EventObject {

    /**
     * Constructor for the ReserveAmountResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public ReserveAmountResEvent(java.lang.Object source,
        org.csapi.jr.se.cs.ChargingPrice reservedAmount,
        int                             sessionTimeLeft) {

        super(source);
      this.reservedAmount = reservedAmount;
      this.sessionTimeLeft = sessionTimeLeft;
 
    }

    org.csapi.jr.se.cs.ChargingPrice reservedAmount;

    /**
     *  This method is used to retrieve the parameter value of 'reservedAmount' passed up
     *  from the Gateway in it's call to the reserveAmountRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'reservedAmount' used on creation of this event.
     */
    public org.csapi.jr.se.cs.ChargingPrice getReservedAmount() {

        return this.reservedAmount;
    }
       
    int                             sessionTimeLeft;

    /**
     *  This method is used to retrieve the parameter value of 'sessionTimeLeft' passed up
     *  from the Gateway in it's call to the reserveAmountRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'sessionTimeLeft' used on creation of this event.
     */
    public int getSessionTimeLeft() {

        return this.sessionTimeLeft;
    }
       
}

